Apache Tomcat 6.0.53

## org.apache.catalina.mbeans
Class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

    java.lang.Object
      javax.rmi.ssl.SslRMIServerSocketFactory
          org.apache.catalina.mbeans.JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

All Implemented Interfaces:
  java.rmi.server.RMIServerSocketFactory

Enclosing class:
  JmxRemoteLifecycleListener

    public static class JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

extends javax.rmi.ssl.SslRMIServerSocketFactory

Constructor Summary
`JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory(java.lang.String[] enabledCipherSuites, java.lang.String[] enabledProtocols, boolean needClientAuth, java.lang.String address)`

Method Summary
`java.net.ServerSocket` | `createServerSocket(int port)`

Methods inherited from class javax.rmi.ssl.SslRMIServerSocketFactory
`equals, getEnabledCipherSuites, getEnabledProtocols, getNeedClientAuth, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory

    public JmxRemoteLifecycleListener.SslRmiServerBindSocketFactory(java.lang.String[] enabledCipherSuites,
                                                                    java.lang.String[] enabledProtocols,
                                                                    boolean needClientAuth,
                                                                    java.lang.String address)

Method Detail

### createServerSocket

    public java.net.ServerSocket createServerSocket(int port)
                                             throws java.io.IOException

  Specified by:
    `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
  Overrides:
    `createServerSocket` in class `javax.rmi.ssl.SslRMIServerSocketFactory`
  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.